<?php
$city_slug = $this->params['city'];
$model = new Cubix_Geography_Cities();
$city = $model->getBySlug($city_slug);
$gender = GENDER_FEMALE;

if ( is_array($this->params['filter']) ) {
    foreach ($this->params['filter'] as $v) {
        // Get gender
        if ( array_search('boys', $v, true) ) {
            $gender = GENDER_MALE;
        }
        elseif ( array_search('trans', $v, true) ) {
            $gender = GENDER_TRANS;
        }

        // Get dependentness of escort
        if ( array_search('agency', $v, true) ) {
            $is_agency = true;
        }
        elseif ( array_search('independents', $v, true) ) {
            $is_agency = false;
        }
    }
}

$is_agency = null;
if($this->static_page_key == 'nuove'){
    $where_cities_zone =  array('e.is_new = ?' => 1);
}elseif($this->static_page_key == 'videos'){
    $where_cities_zone =  array('e.has_video = ?' => 1);
}elseif($this->static_page_key == 'independents'){
    $where_cities_zone =  array('e.agency_id IS NOT NULL');
}elseif($this->static_page_key == 'agency'){
    $where_cities_zone =  array('e.agency_id IS NULL');
}else{
    $where_cities_zone = false;
}

$zones = Model_Statistics::getZones($city->id, $gender, $is_agency,null, null,  $where_cities_zone);
$top_zones =  array_slice($zones, 0, 15);
$more_zones = array_slice($zones, 15 );
$country_iso = Cubix_Application::getById()->iso;
$city_title = 'Escort girls in ' .$city->title;
?>
<? if ( count($zones) ): ?>
    <div class="container-fluid cities zone">
        <div class="container">
            <div class="city-search escorts-by-city d-flex justify-content-center justify-content-lg-between">
                <div class="d-flex flex-nowrap">
                    <label for="city-search-input" class="h2 hidden-sm-down my-auto"><?= 'Available Citizones in '.$city->title ?></label>
                    <label for="city-search-input" class="h2 hidden-md-up my-auto"><?= 'Cityzones'?></label>
                </div>
            </div>
        </div>
    </div>
    <?
    $fn_order_title = create_function('$a, $b', '
		if ( is_object($a) && is_object($b) ) {
			return strnatcmp($a->city_title, $b->city_title);
		}
		elseif ( is_array($a) && is_array($b) ) {
			return strnatcmp($a["city_title"], $b["city_title"]);
		}
		else return 0;
	');
    usort($zones, $fn_order_title);
    ?>
    <div class="container-fluid cities-list">
        <div class="container">
            <div class="d-flex flex-wrap">
                <? foreach ( $top_zones as $zone):?>
                    <a class="d-flex justify-content-start city-info" href="<?= $this->getLink('escorts', array('zone' => $country_iso . '_' . $zone->zone_slug, 'filter' => null, 'page' => null, 'city' => null)) ?>">
                        <div class="p-1"><i class="ion-chevron-right"></i></div>
                        <div class="p-1 city-name"><?= $zone->zone_title ?></div>
                        <div class="py-1 hidden-md-up">(</div>
                        <div class="p-1 city-escorts-count"><?= $zone->escort_count ?></div>
                        <div class="py-1 hidden-md-up">)</div>
                    </a>
                <? endforeach; ?>
                <div class="w-100"></div>
            </div>
            <?php if($more_zones): ?>
                <div id="FullCityList" class="collapse all-cities-list">
                    <div class="d-flex flex-wrap">
                        <? foreach($more_zones as $zone): ?>
                            <a class="d-flex justify-content-start city-info" href="<?= $this->getLink('escorts', array('zone' => $country_iso . '_' . $zone->zone_slug, 'filter' => null, 'page' => null, 'city' => null)) ?>">
                                <div class="p-1"><i class="ion-chevron-right"></i></div>
                                <div class="p-1 city-name"><?= $zone->zone_title ?></div>
                                <div class="py-1 hidden-md-up">(</div>
                                <div class="p-1 city-escorts-count"><?= $zone->escort_count ?></div>
                                <div class="py-1 hidden-md-up">)</div>
                            </a>
                        <? endforeach; ?>
                        <div class="w-100 mt-2"></div>
                    </div>
                </div>
                <div class="d-flex">
                    <button class="btn m-auto btn-square-outline all-cities-list-btn" type="button" data-toggle="collapse" data-target=".all-cities-list" aria-expanded="false">
                        <div class="show-all-cities">
                            <span>Full Cityzones List</span> <i class="ion-chevron-down"></i>
                        </div>
                        <div class="show-less-cities">
                            <span>Less Cityzones</span> <i class="ion-chevron-up"></i>
                        </div>
                    </button>
                </div>
            <?php endif; ?>
        </div>
    </div>
    <div class="container-jumbotron">
        <hr id="city-seperator-line" class="bg-grey">
    </div>
<? endif;?>